Package com.collibra.dgc.core.api.dto.query.outputmodule

# Class ExportCSVInJobRequest

Object
ExportCSVInJobRequest

All Implemented Interfaces:
  `Serializable`

public class ExportCSVInJobRequest extends Object implements Serializable
The properties of the export CSV request.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ExportCSVInJobRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExportCSVInJobRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExportCSVInJobRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getEscape()`
  `String`
  `getFileName()`
  `String`
  `getQuote()`
  `String`
  `getSeparator()`
  `String`
  `getTableViewConfig()`
  `int`
  `hashCode()`
  `boolean`
  `isHeaderRow()`
  `boolean`
  `isSendNotification()`
  `boolean`
  `isValidationEnabled()`
  `void`
  `setEscape(String escape)`
  `void`
  `setFileName(String fileName)`
  `void`
  `setHeaderRow(boolean headerRow)`
  `void`
  `setQuote(String quote)`
  `void`
  `setSendNotification(boolean sendNotification)`
  `void`
  `setSeparator(String separator)`
  `void`
  `setTableViewConfig(String tableViewConfig)`
  `void`
  `setValidationEnabled(boolean validationEnabled)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExportCSVInJobRequest

    public ExportCSVInJobRequest()

- ## Method Details

  - ### builder

    public static ExportCSVInJobRequest.Builder builder()

  - ### getTableViewConfig

    public String getTableViewConfig()

  - ### isValidationEnabled

    public boolean isValidationEnabled()

  - ### getFileName

    public String getFileName()

  - ### getSeparator

    public String getSeparator()

  - ### getQuote

    public String getQuote()

  - ### getEscape

    public String getEscape()

  - ### isHeaderRow

    public boolean isHeaderRow()

  - ### isSendNotification

    public boolean isSendNotification()

  - ### setTableViewConfig

    public void setTableViewConfig(String tableViewConfig)

  - ### setValidationEnabled

    public void setValidationEnabled(boolean validationEnabled)

  - ### setFileName

    public void setFileName(String fileName)

  - ### setSeparator

    public void setSeparator(String separator)

  - ### setQuote

    public void setQuote(String quote)

  - ### setEscape

    public void setEscape(String escape)

  - ### setHeaderRow

    public void setHeaderRow(boolean headerRow)

  - ### setSendNotification

    public void setSendNotification(boolean sendNotification)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`